<!-------------------------------------------------------------------------------
 * Copyright (c) 2020 Contributors to the Eclipse Foundation
 *
 * See the NOTICE file(s) distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0
 *
 * SPDX-License-Identifier: EPL-2.0
 -------------------------------------------------------------------------------->

<div class="search-filters">
  <app-search-filter
    (appValueChange)="search($event)"
    [appFilters]="filtersToShow"
    [appLoading]="statementLoading$ | async"
    [appShowSearch]="false"
    [appStatementTypeOptions]="statementTypeOptions$ | async">
  </app-search-filter>
</div>

<app-leaflet-map (appCenterChange)="changeCenter($event)"
                 (appClick)="selected = null"
                 (appOpenGis)="openGis($event)"
                 (appPopupClose)="selected = null"
                 [appCenter]="coord$ | async"
                 class="search-map">

  <ng-container *ngFor="let entry of searchContent$ | async; trackBy: trackById">
    <ng-container *ngIf="entry?.position != null"
                  (appClick)="selected = entry"
                  [appLeafletMarker]="entry.position">
    </ng-container>
  </ng-container>

  <a *appLeafletPopup="selected?.position; data: selected"
     [queryParams]="{ id: selected?.id }"
     [routerLink]="'/details'"
     class="popup">
    <ng-container *ngIf="selected != null">
      ID {{selected.id}}: {{selected.title}}
    </ng-container>
  </a>

</app-leaflet-map>
